package com.zg.project.information.mapper;

import java.util.List;
import com.zg.project.information.domain.StockInType;

/**
 * 入库类型Mapper接口
 * 
 * @author zg
 * @date 2025-05-27
 */
public interface StockInTypeMapper 
{
    /**
     * 查询入库类型
     * 
     * @param id 入库类型主键
     * @return 入库类型
     */
    public StockInType selectStockInTypeById(Long id);

    /**
     * 查询入库类型列表
     * 
     * @param stockInType 入库类型
     * @return 入库类型集合
     */
    public List<StockInType> selectStockInTypeList(StockInType stockInType);

    /**
     * 新增入库类型
     * 
     * @param stockInType 入库类型
     * @return 结果
     */
    public int insertStockInType(StockInType stockInType);

    /**
     * 修改入库类型
     * 
     * @param stockInType 入库类型
     * @return 结果
     */
    public int updateStockInType(StockInType stockInType);

    /**
     * 删除入库类型
     * 
     * @param id 入库类型主键
     * @return 结果
     */
    public int deleteStockInTypeById(Long id);

    /**
     * 批量删除入库类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStockInTypeByIds(Long[] ids);
}
